SDL_GetScancodeFromName(3)

NAME
SDL_GetScancodeFromName - Get a scancode from a human-readable name.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Scancode SDL_GetScancodeFromName(const char *name);

FUNCTION PARAMETERS

name
    the human-readable scancode name

RETURN VALUE
Returns the SDL_Scancode , or SDL_SCANCODE_UNKNOWN if the name wasn't recognized; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetKeyFromName(3), SDL_GetScancodeFromKey(3), SDL_GetScancodeName(3)